---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: cephrbd-fast-delete
  annotations:
    storageclass.kubernetes.io/is-default-class: "true"
provisioner: rbd.csi.ceph.com
reclaimPolicy: Delete
allowVolumeExpansion: true
parameters:
  clusterID: "de96a98f-3d23-465a-a899-86d3d67edab8"
  pool: "kubernetes"
  imageFeatures: "layering"
  csi.storage.k8s.io/provisioner-secret-name: "csi-rbd-secret"
  csi.storage.k8s.io/provisioner-secret-namespace: "csi-cephrbd"
  csi.storage.k8s.io/controller-expand-secret-name: "csi-rbd-secret"
  csi.storage.k8s.io/controller-expand-secret-namespace: "csi-cephrbd"
  csi.storage.k8s.io/node-stage-secret-name: "csi-rbd-secret"
  csi.storage.k8s.io/node-stage-secret-namespace: "csi-cephrbd"

---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: cephrbd-fast-retain
provisioner: rbd.csi.ceph.com
reclaimPolicy: Retain
allowVolumeExpansion: true
parameters:
  clusterID: "de96a98f-3d23-465a-a899-86d3d67edab8"
  pool: "kubernetes"
  imageFeatures: "layering"
  csi.storage.k8s.io/provisioner-secret-name: "csi-rbd-secret"
  csi.storage.k8s.io/provisioner-secret-namespace: "csi-cephrbd"
  csi.storage.k8s.io/controller-expand-secret-name: "csi-rbd-secret"
  csi.storage.k8s.io/controller-expand-secret-namespace: "csi-cephrbd"
  csi.storage.k8s.io/node-stage-secret-name: "csi-rbd-secret"
  csi.storage.k8s.io/node-stage-secret-namespace: "csi-cephrbd"
